<?php

function tagWrap($tag, $txt, $func = "") {
	if ((!empty($txt)) && (function_exists($func))) {
		$txt = $func($txt);
		return "<$tag>$txt</$tag>\n";
	}
}

function underline($txt) {
	return "<u>$txt</u>";
}

echo tagWrap('b', 'make me bold');
// will print <b>make me bold</b>

echo tagWrap('i', 'underline me too', "underline");
// will print <i><u>underline me too</u></i>

echo tagWrap('i', 'make me italic and quote me',
create_function('$txt', 'return "&quot;$txt&quot;";'));
// will print <i>&quot;make me italic and quote me&quot;</i>

?>
